openapi: 3.0.0
info:
    version: "1.72.0.1"
    title: API REST Servicios CGES
    description: >
        <h3>Operaciones Extendidas</h3>
        <p>Este apartado de la definición recoge las operaciones con otras entidades de CGES distintas a las solicitudes:</p>
        <ul>
            <li>Consultas y operaciones con soluciones</li>
            <li>Consultas y operaciones con agendas</li>
            <li>Integraciones con aplicaciones de Servicios Horizontales: FARO, JIRA, MiCentroServicios, Centralita, Gestor de Notificaciones...</li>
            <li>Otras integraciones con servicios del SAS: PortaFirmas, Altiris, LDAP, Consigna...</li>
            <li>Operaciones extendidas que incluyen, entre otras, búsqueda avanzada, operaciones por lotes, conversor de teléfonos corporativos y mensajería.</li>
        </ul>
        <p>
        Algunos apartados incluyen las consultas de tablas maestras necesarias para la operativa.<br/>
        Para el resto de consultas de tablas maestras necesarias, puede consultar el apartado de definición destinado a tal fin.<br/>
        <br/>
        Incluye también los métodos para la generación de los tokens que se usan para operar con la API.
        </p>
        <br/><br/><div id="load_options"></div>
servers:
    - url: http://servicioscges.pre.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Preproducción (acceso por intranet)
    - url: 'https://ws001.sspa.juntadeandalucia.es/servicioscges/api/v1/sistemasExternos'
      description: Servidor de Producción (acceso por internet)
    - url: https://servicioscges.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Producción (acceso por intranet)
paths:
    
    #Acceso al sistema mediante tokens
    
    /accesos/token:
        $ref: './paths_accesos_token.yaml'
     
    #Consultas y operaciones con soluciones
    
    /cges/knowledgeitems/:
        $ref: './paths_cges_knowledgeitems.yaml'
    /cges/knowledgeitems/{idKI}:
        $ref: './paths_cges_knowledgeitems_id.yaml'
    /cges/knowledgeitems/{idKI}/actividades:
        $ref: './paths_cges_knowledgeitems_id_actividades.yaml'
    /cges/knowledgeitems/{idKI}/categorias:
        $ref: './paths_cges_knowledgeitems_id_categorias.yaml'
    /cges/knowledgeitems/{idKI}/eventos:
        $ref: './paths_cges_knowledgeitems_id_eventos.yaml'
    /cges/knowledgeitems/{idKI}/estado:
        $ref: './paths_cges_knowledgeitems_id_estado.yaml'
    /cges/knowledgeitems/{idKI}/valoraciones:
        $ref: './paths_cges_knowledgeitems_id_valoraciones.yaml'
    /cges/knowledgeitems/{idKI}/visitas:
        $ref: './paths_cges_knowledgeitems_id_visitas.yaml'
    /cges/knowledgeitems/actividades/tipos:
        $ref: './paths_cges_knowledgeitems_actividades_tipos.yaml'
    /cges/knowledgeitems/actuaciones/tipos:
        $ref: './paths_cges_knowledgeitems_actuaciones_tipos.yaml'
    /cges/knowledgeitems/categorias:
        $ref: './paths_cges_knowledgeitems_categorias.yaml'
    /cges/knowledgeitems/estados:
        $ref: './paths_cges_knowledgeitems_estados.yaml'
    /cges/knowledgeitems/imagenes:
        $ref: './paths_cges_knowledgeitems_imagenes.yaml'
    /cges/knowledgeitems/organizaciones:
        $ref: './paths_cges_knowledgeitems_organizaciones.yaml'
    /cges/knowledgeitems/publicos:
        $ref: './paths_cges_knowledgeitems_publicos.yaml'
    /cges/knowledgeitems/tipos:
        $ref: './paths_cges_knowledgeitems_tipos.yaml'
    /cges/solicitudes/{idSolicitud}/knowledgeitems:
        $ref: './paths_cges_solicitudes_id_knowledgeitems.yaml'
    /cges/knowledgeitems/simileco/colecciones/{idColeccion}/buscar:
        $ref: './paths_cges_knowledgeitems_simileco_colecciones_id_buscar.yaml'
    /cges/knowledgeitems/simileco/colecciones/{idColeccion}/documentos:
        $ref: './paths_cges_knowledgeitems_simileco_colecciones_id_documentos.yaml'
        
    #Consultas y operaciones con agendas
    
    /cges/agendas/:
        $ref: './paths_cges_agendas.yaml'
    /cges/agendas/{idAgenda}:
        $ref: './paths_cges_agendas_id.yaml'
    /cges/agendas/{idAgenda}/configuraciones/fechas:
        $ref: './paths_cges_agendas_id_configuraciones_fechas.yaml'
    /cges/agendas/{idAgenda}/configuraciones/horas:
        $ref: './paths_cges_agendas_id_configuraciones_horas.yaml'
    /cges/agendas/{idAgenda}/configuraciones:
        $ref: './paths_cges_agendas_id_configuraciones.yaml'
    /cges/agendas/{idAgenda}/configuraciones/{idConfiguracion}:
        $ref: './paths_cges_agendas_id_configuraciones_id.yaml'
    /cges/agendas/{idAgenda}/configuraciones/{idConfiguracion}/tramos:
        $ref: './paths_cges_agendas_id_configuraciones_id_tramos.yaml'
    /cges/agendas/{idAgenda}/configuraciones/{idConfiguracion}/tramos/{idTramo}:
        $ref: './paths_cges_agendas_id_configuraciones_id_tramos_id.yaml'
    /cges/agendas/dias:
        $ref: './paths_cges_agendas_dias.yaml'
    /cges/agendas/{idAgenda}/fechasdeshabilitadas:
        $ref: './paths_cges_agendas_id_fechas_deshabilitadas.yaml'
    /cges/agendas/{idAgenda}/fechasdeshabilitadas/{idFechaDeshabilitada}:
        $ref: './paths_cges_agendas_id_fechas_deshabilitadas_id.yaml'
    /cges/agendas/{idAgenda}/reservas:
        $ref: './paths_cges_agendas_id_reservas.yaml'
    /cges/agendas/grupos:
        $ref: './paths_cges_agendas_grupos.yaml'
    /cges/agendas/grupos/{idGrupoAgenda}:
        $ref: './paths_cges_agendas_grupos_id.yaml'
    /cges/agendas/grupos/{idGrupoAgenda}/fechasdeshabilitadas:
        $ref: './paths_cges_agendas_grupos_id_fechas_deshabilitadas.yaml'
    /cges/agendas/grupos/{idGrupoAgenda}/fechasdeshabilitadas/{idFechaDeshabilitada}:
        $ref: './paths_cges_agendas_grupos_id_fechas_deshabilitadas_id.yaml'

    #Consultas y operaciones con encuestas
    
    /cges/tablas/encuestas:
        $ref: './paths_cges_encuestas.yaml'
    /cges/solicitudes/{idSolicitud}/encuestas:
        $ref: './paths_cges_solicitudes_id_encuestas.yaml'
    /cges/solicitudes/{idSolicitud}/encuestas/{idEncuesta}:
        $ref: './paths_cges_solicitudes_id_encuestas_id.yaml'

    #Integraciones con aplicaciones de SSHH
    #CENTRALITA        
    /centralita/agentes:
        $ref: './paths_centralita_agentes.yaml'
    /centralita/llamadas/actividades:
        $ref: './paths_centralita_llamadas_actividades.yaml'
    /centralita/llamadas/{idLlamada}:
        $ref: './paths_centralita_llamadas_id.yaml'
    /centralita/llamadas/{idLlamada}/fichero:
        $ref: './paths_centralita_llamadas_id_fichero.yaml'
    #FARO
    /faro/solicitudes:
        $ref: './paths_faro_solicitudes.yaml'
    /faro/solicitudes/rfc:
        $ref: './paths_faro_solicitudes_rfc.yaml'
        
    #JIRA
    /jira/solicitudes/{clave}/comentarios:
        $ref: './paths_jira_solicitudes_id_comentarios.yaml'
    /jira/solicitudes/incidencias:
        $ref: './paths_jira_solicitudes_incidencias.yaml'
    /jira/solicitudes/incidencias/{clave}:   
        $ref: './paths_jira_solicitudes_incidencias_id.yaml'
    /jira/solicitudes/mejoras:
        $ref: './paths_jira_solicitudes_mejoras.yaml'
    /jira/solicitudes/mejoras/{clave}:   
        $ref: './paths_jira_solicitudes_mejoras_id.yaml'
    /jira/solicitudes/versiones:
        $ref: './paths_jira_solicitudes_versiones.yaml'    
    /jira/solicitudes/versiones/{clave}:   
        $ref: './paths_jira_solicitudes_versiones_id.yaml'
    /jira/versiones:
        $ref: './paths_jira_versiones.yaml'
        
    #GESTOR NOTIFICACIONES
    /gestnotif/canales:
        $ref: './paths_gestnotif_canales.yaml'
    /gestnotif/configuracion/apps:
        $ref: './paths_gestnotif_configuracion_apps.yaml'        
    /gestnotif/suscriptores:
        $ref: './paths_gestnotif_suscriptores.yaml'
    /gestnotif/suscriptores/{uuidSuscriptor}:
        $ref: './paths_gestnotif_suscriptores_id.yaml'
    /gestnotif/suscriptores/{uuidSuscriptor}/preferencias:
        $ref: './paths_gestnotif_suscriptores_id_preferencias.yaml'
    /gestnotif/notificaciones:
        $ref: './paths_gestnotif_notificaciones.yaml'
    /gestnotif/notificaciones/{idNotificacion}:
        $ref: './paths_gestnotif_notificaciones_id.yaml'
    /gestnotif/notificaciones/emails:
        $ref: './paths_gestnotif_notificaciones_emails.yaml'
    /gestnotif/notificaciones/movil/push:
        $ref: './paths_gestnotif_notificaciones_movil_push.yaml'
    /gestnotif/notificaciones/persistentes:
        $ref: './paths_gestnotif_notificaciones_persistentes.yaml'
    /gestnotif/notificaciones/sms:
        $ref: './paths_gestnotif_notificaciones_sms.yaml'
    /gestnotif/tiposnegocio:
        $ref: './paths_gestnotif_tiposnegocio.yaml'
    
        
    #MICS
    /cges/web/solicitudes/aprobaciones:
        $ref: './paths_cges_web_solicitudes_aprobaciones.yaml'
    
    #Consultas y operaciones con suscripciones
    /cges/suscriptores/solicitudes:
        $ref: './paths_cges_suscriptores_solicitudes.yaml'
    /cges/suscriptores/solicitudes/actividades/tipos:
        $ref: './paths_cges_suscriptores_actividades_tipos.yaml'
    /cges/suscriptores/solicitudes/actividades/tipos/configuraciones:
        $ref: './paths_cges_suscriptores_actividades_tipos_configuraciones.yaml'
    /cges/suscriptores/solicitudes/actividades/tipos/{idTipo}/configuraciones:
        $ref: './paths_cges_suscriptores_actividades_tipos_id_configuraciones.yaml'
        
    #Otras integraciones

    #ALTIRIS
    /altiris/recursos/infraestructura:
        $ref: './paths_altiris_recursos_infraestructura.yaml'
    /altiris/recursos/infraestructura/{idEquipo}:
        $ref: './paths_altiris_recursos_infraestructura_id.yaml'
    /altiris/recursos/infraestructura/{idEquipo}/software:
        $ref: './paths_altiris_recursos_infraestructura_id_software.yaml'
        
    #CONSIGNA
    /consigna/adjuntos/fichero:
        $ref: './paths_consigna_adjuntos_fichero.yaml'
    /consigna/adjuntos/{idConsigna}/fichero:
        $ref: './paths_consigna_adjuntos_id_fichero.yaml'
        
    #LDAP
    /ldap/{alias}/{codigo}:
        $ref: './paths_ldap_alias_codigo.yaml'
    /ldap/{alias}/{codigo}/atributos:
        $ref: './paths_ldap_alias_codigo_atributos.yaml'
    /ldap/{alias}/{codigo}/{idRegistro}:
        $ref: './paths_ldap_alias_codigo_id.yaml'
        
    #PORTAFIRMAS
    /cges/portafirmas/solicitudes/:
        $ref: './paths_portafirmas_solicitudes.yaml'
    /cges/portafirmas/solicitudes/{idPortaFirmas}:
        $ref: './paths_portafirmas_solicitudes_id.yaml'        
    /cges/portafirmas/solicitudes/{idPortaFirmas}/actividades:   
        $ref: './paths_portafirmas_solicitudes_id_actividades.yaml'        
    /cges/portafirmas/solicitudes/{idPortaFirmas}/ficheros:
        $ref: './paths_portafirmas_solicitudes_id_ficheros.yaml'   
    /cges/portafirmas/solicitudes/{idPortaFirmas}/ficheros/{idFichero}:
        $ref: './paths_portafirmas_solicitudes_id_ficheros_id.yaml'     
        
    #Operaciones extendidas
    
    /cges/_batch:
        $ref: './paths_cges_batch.yaml'   
    /cges/_buscar/{entidad}:    
        $ref: './paths_cges_buscar_entidad.yaml'   
    /cges/mensajes/sms:    
        $ref: './paths_cges_mensajes_sms.yaml'   
    /cges/mensajes/jms:    
        $ref: './paths_cges_mensajes_jms.yaml'
    /cges/global/correo/listas/{email}/suscripciones:    
        $ref: './paths_cges_global_correo_listas_email_suscripciones.yaml' 
    /cges/global/health:    
        $ref: './paths_cges_global_health.yaml'
    /cges/global/mapas:    
        $ref: './paths_cges_global_mapas.yaml'
    /cges/global/permisos:
        $ref: './paths_cges_global_permisos.yaml'
    /cges/global/planificaciones/calendarios/fichero:
        $ref: './paths_cges_global_planificaciones_calendarios_fichero.yaml'
    /cges/global/planificaciones/calendarios/{uid}/fichero:
        $ref: './paths_cges_global_planificaciones_calendarios_id_fichero.yaml'
    /cges/global/telefonos/formatos:    
        $ref: './paths_cges_global_telefonos_formatos.yaml'
    /cges/global/urls/acorta:    
        $ref: './paths_cges_global_acotador.yaml'        

